#ifndef MVP_DEMUX_H
#define MVP_DEMUX_H

#include <vdr/thread.h>
#include "ringbuff.h"

class cPvr350Writer: public cThread {
private:
    cRingBuffLinear *m_RingBuffer;
    
    int output;
    bool running;
  

public:
    cPvr350Writer(cRingBuffLinear *Ringbuffer, int fd);
    ~cPvr350Writer();

    virtual void Action(void);
};

#endif
